package com.steerinfo.ems.trmindexvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.HashMap;

public class TRmIndexValue implements IBasePO<HashMap<String, Object>> {
    /**
     * 项目id(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="项目id",required=true)
    private String itemid;

    /**
     * 时间粒度(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="时间粒度",required=true)
    private String timegranid;

    /**
     * 时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="时间",required=true)
    private String clock;

    /**
     * 计算值(ACTUALVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="计算值",required=false)
    private BigDecimal actualvalue;

    /**
     * 修正值(CORRECTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="修正值",required=false)
    private BigDecimal correctvalue;

    /**
     * 最终值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="最终值",required=false)
    private BigDecimal apportvalue;

    /**
     * 累计值(SUMVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计值",required=false)
    private BigDecimal sumvalue;

    /**
     * 记录创建时间(REC_TIME,VARCHAR,40)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private String recTime;

    /**
     * 记录创建者(REC_USER,VARCHAR,40)
     */
    @ApiModelProperty(value="记录创建者",required=false)
    private String recUser;

    /**
     * 修改标记(MODIFYFLAG,DECIMAL,0)
     */
    @ApiModelProperty(value="修改标记",required=false)
    private Short modifyflag;

    /**
     * 是否锁定(ISLOCK,VARCHAR,1)
     */
    @ApiModelProperty(value="是否锁定",required=false)
    private String islock;

    /**
     * 锁定id(LOCKID,VARCHAR,64)
     */
    @ApiModelProperty(value="锁定id",required=false)
    private String lockid;

    /**
     * 备注(BZ,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    /**
     * 修改人(UPMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String upman;

    /**
     * 修改时间(UPTIME,VARCHAR,20)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String uptime;

    /**
     * 序号(CODE,DECIMAL,0)
     */
    @ApiModelProperty(value="序号",required=false)
    private Short code;

    /**
     * 参考值(REFVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="参考值",required=false)
    private BigDecimal refvalue;

    private static final long serialVersionUID = 1L;

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public BigDecimal getActualvalue() {
        return actualvalue;
    }

    public void setActualvalue(BigDecimal actualvalue) {
        this.actualvalue = actualvalue;
    }

    public BigDecimal getCorrectvalue() {
        return correctvalue;
    }

    public void setCorrectvalue(BigDecimal correctvalue) {
        this.correctvalue = correctvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public BigDecimal getSumvalue() {
        return sumvalue;
    }

    public void setSumvalue(BigDecimal sumvalue) {
        this.sumvalue = sumvalue;
    }

    public String getRecTime() {
        return recTime;
    }

    public void setRecTime(String recTime) {
        this.recTime = recTime == null ? null : recTime.trim();
    }

    public String getRecUser() {
        return recUser;
    }

    public void setRecUser(String recUser) {
        this.recUser = recUser == null ? null : recUser.trim();
    }

    public Short getModifyflag() {
        return modifyflag;
    }

    public void setModifyflag(Short modifyflag) {
        this.modifyflag = modifyflag;
    }

    public String getIslock() {
        return islock;
    }

    public void setIslock(String islock) {
        this.islock = islock == null ? null : islock.trim();
    }

    public String getLockid() {
        return lockid;
    }

    public void setLockid(String lockid) {
        this.lockid = lockid == null ? null : lockid.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getUpman() {
        return upman;
    }

    public void setUpman(String upman) {
        this.upman = upman == null ? null : upman.trim();
    }

    public String getUptime() {
        return uptime;
    }

    public void setUptime(String uptime) {
        this.uptime = uptime == null ? null : uptime.trim();
    }

    public Short getCode() {
        return code;
    }

    public void setCode(Short code) {
        this.code = code;
    }

    public BigDecimal getRefvalue() {
        return refvalue;
    }

    public void setRefvalue(BigDecimal refvalue) {
        this.refvalue = refvalue;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemid=").append(itemid);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", clock=").append(clock);
        sb.append(", actualvalue=").append(actualvalue);
        sb.append(", correctvalue=").append(correctvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", sumvalue=").append(sumvalue);
        sb.append(", recTime=").append(recTime);
        sb.append(", recUser=").append(recUser);
        sb.append(", modifyflag=").append(modifyflag);
        sb.append(", islock=").append(islock);
        sb.append(", lockid=").append(lockid);
        sb.append(", bz=").append(bz);
        sb.append(", upman=").append(upman);
        sb.append(", uptime=").append(uptime);
        sb.append(", code=").append(code);
        sb.append(", refvalue=").append(refvalue);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
    
    @Override
	public HashMap<String, Object> getId() {
		HashMap<String, Object> m = new HashMap<String, Object>();
		m.put("clock", clock);
		m.put("timegranid", timegranid);
		m.put("itemid", itemid);
		return m;
	}

	@Override
	public void setId(HashMap<String, Object> id) {
		this.clock = id.get("clock") == null ? "" : id.get("clock").toString().trim();
		this.timegranid = id.get("timegranid") == null ? "" : id.get("timegranid").toString().trim();
		this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
	}
}